/*-----------------------ADI ADF4106 Driver Test Code-----------------------------------

Author: 		ADI CAST (China Application Support Team)
Date:			2011-01-20
Rev:			V1.0
Description:	Realize ADF4106 DriverUse ADuC7026 as MCUADF4106 EVB as test board.
				Development Tool: KEIL C(version 3.22)
				Test program by reading and writing register of ADF4106

---------------------------------------------------------------------------------------------------------*/
#include <ADuC7026.h>
#include "ADF4106_IO.h"

unsigned	char	buf[4] = {0,0,0,0};

void putchar(unsigned char ch)/* Write character to Serial Port  */  
{          
	COMTX = ch;				 //COMTX is an 8-bit transmit register.
    while(!(0x020==(COMSTA0 & 0x020)))
    {;}
}

void ADuC7026_Initiate(void)
{
    //Clock Initial
    POWKEY1 = 0x01;				//Start PLL Setting
    POWCON = 0x00;				//Set PLL Active Mode With CD = 0  CPU CLOCK DIVIDER = 41.78MHz
    POWKEY2 = 0xF4;				//Finish PLL Setting

	GP1CON = 0x011;				  //PIN set up for UART
     


	GP4DAT = GP4DAT | 0x38000000;                             //Configure the P4.3 pin as output for LE of ADF4106, CS Stall Low
								  //Configure the P4.4 pin as output for SCLK of ADF4106, SCLK Stall Low
								  //Configure the P4.5 pin as output for DATA of ADF4106
   	//UART InitialBaud Rate = 9600								  	
	COMCON0 = 0x080;  
	COMDIV0 = 0x088;    		
	COMDIV1 = 0x000;
	COMCON0 = 0x007; 

}  
int main (void)
{ 
    ADuC7026_Initiate();

/*---------------------------------------------------------------------------
Reference frequency: 10MHz;RF VCO Output frequency: 5800MHz;Prescaler: 32/33;
N: 5800;R: 10
---------------------------------------------------------------------------*/

	buf[2] = 0x8d;
	buf[1] = 0x80;				
 	buf[0] = 0x83;			
	WriteToADF4106(3,buf);		

	buf[2] = 0x8d;				
	buf[1] = 0x80;				
 	buf[0] = 0x82;				
	WriteToADF4106(3,buf);		

	buf[2] = 0x00;				
	buf[1] = 0x00;				
 	buf[0] = 0x28;
	WriteToADF4106(3,buf);	

	buf[2] = 0x00;				
	buf[1] = 0xb5;				
 	buf[0] = 0x21;				
	WriteToADF4106(3,buf);		

								   

/*---------------------------------------------------------------------------
Reference frequency: 10MHz;RF VCO Output frequency: 5800MHz;Prescaler: 32/33;
INT: 5800;R: 10
---------------------------------------------------------------------------*/
/*
	buf[2] = 0x8d;
	buf[1] = 0x80;				
 	buf[0] = 0x83;			
	WriteToADF4106(4,buf);		

	buf[2] = 0x8d;				
	buf[1] = 0x80;				
 	buf[0] = 0x82;				
	WriteToADF4106(4,buf);		

	buf[2] = 0x00;				
	buf[1] = 0x00;				
 	buf[0] = 0x28;
	WriteToADF4106(4,buf);	

	buf[2] = 0x00;				
	buf[1] = 0xb5;				
 	buf[0] = 0x21;				
	WriteToADF4106(4,buf);		
							   

*/

	while(1)
    {;}

}

